- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Full name: projects.locations.retiredResources.list
Lists the RetiredResources which are the records of deleted CryptoKeys. RetiredResources prevent the reuse of these resource names after deletion.
HTTP request
GET https://cloudkms.googleapis.com/v1/{parent=projects/*/locations/*}/retiredResources The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The project-specific location holding the Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Optional limit on the number of |
pageToken |
Optional. Optional pagination token, returned earlier via |
Request body
The request body must be empty.
Response body
Response message for KeyManagementService.ListRetiredResources.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"retiredResources": [
{
object ( |
| Fields | |
|---|---|
retiredResources[] |
The list of |
nextPageToken |
A token to retrieve the next page of results. Pass this value in |
totalSize |
The total number of |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloudkmshttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.